Subject: Re : RTAI+ELDK Compile Problems

From: grave <[email-masked]>
Date: Tue, 08 Feb 2005 11:35:22 +0000

Le 08.02.2005 12:09:07, Bj=F6rn =D6stby a =E9crit=A0:
> I've got a major problem trying to compile RTAI using the ELDK cross
> compiler.
> I'm using ELDK version 3.1, and my target is ppc_8xx (823). I have
> followed the instructions given at =20
> ftp://ftp.denx.de/pub/RTAI/24.1.12/README.install,
> using the
> linuxppc_2_4_devel kernel (2004_04_30_1320) and rtai-24.1.12-denx.
>=20
> Now, the rtai patch works fine, and the kernel compiles, but when I
> try to compile rtai
> The following error occurs:
>=20
> /opt/eldk-3.1/ppc_8xx/usr/src/rtai-24.1.12/include/asm/rtai_srq.h:
> In function `rtai_srq':
> /opt/eldk-3.1/ppc_8xx/usr/src/rtai-24.1.12/include/asm/rtai_srq.h:32:
> error: asm-specifier for variable `__sc_3' conflicts with asm clobber
> list

Hi,

I had a similar problem, can you check your gcc version ?
I had to compile rtai with gcc2.95 if I remember well...

xavier